For a better experience on dSPACE.com, enable JavaScript in your browser. Thank you!

MATLAB® R2014x and R2015x Compatibility

RCP and HIL software

RCP and HIL software MATLAB R2014a MATLAB R2014b MATLAB R2015a MATLAB R2015a SP1 MATLAB R2015b
Release 2017-A - - - - 64-bit
Release 2016-B - - - 64-bit 64-bit
Release 2016-A - 64-bit - 64-bit 64-bit
Release 2015-B 32-bit / 64-bit 32-bit / 64-bit 64-bit 64-bit 4) 64-bit 3)
Release 2015-A  32-bit 3) / 64-bit 3) 32-bit 3) / 64-bit 3) 64-bit 3) 64-bit 6) -
Release 2014-B  32-bit / 64-bit 1) 32-bit / 64-bit 1) - - -
Release 2014-A 32-bit / 64-bit 1)2) - - - -

TargetLink

TargetLink Version MATLAB R2014a MATLAB R2014b MATLAB R2015a MATLAB R2015a SP1 MATLAB R2015b
4.2 - - - 64-bit 64-bit
4.1 32-bit / 64-bit 32-bit / 64-bit 64-bit 64-bit 5) 64-bit
4.0 32-bit / 64-bit 32-bit / 64-bit - - -

VEOS

VEOS Version MATLAB R2014a MATLAB R2014b MATLAB R2015a MATLAB R2015a SP1 MATLAB R2015b
4.0 - - - - see note 7)
3.7 - - - see note 7) see note 7)
3.6 - See note 7) - See note 7) See note 7)
3.5  See note 7) See note 7) See note 7) See note 7) See note 7)
3.4  32-bit / 64-bit 32-bit / 64-bit 64-bit - -
3.3  32-bit / 64-bit 32-bit / 64-bit - - -
3.2 32-bit / 64-bit 2) - - - -

 

1) 64-bit versions are not supported by all RCP and HIL products. For details refer to  MATLAB 64-bit Compatibility.
2) Subsequently tested and qualified. See details
3) No or limited support of RTI FPGA Programming Blockset in this product combination. For details see http://www.dspace.com/faq?295
4) Requires Release 2015-B Implementation Software Service Pack 1, or newer, and ASM 8.1 Patch 1, or newer. After installation, MATLAB R2015a without SP1 will not be supported anymore.
5) Subsequently tested and qualified. When connecting in Installation Manager, a warning message is displayed. This can be ignored.
6) Requires Release 2015-A Implementation Software Service Pack 2, or newer, and ASM 8.0 Patch 2, or newer. After installation, MATLAB R2015a without SP1 will not be supported anymore.
7) As of VEOS 3.5 the dsoffsim target ist not available anymore. The DSRT target ist used instead. Since DSRT is installed with RCP and HIL software, the compatibility between RCP and HIL software and MATLAB is relevant.

 

Further Information

Tags

Date 2017-05-23
Software Type Automotive Simulation Models, Production Code Generation Software, Implementation Software, Experiment and Visualization Software, Simulation Software
Topics of Interest MATLAB
Product Automotive Simulation Models (ASMs), ConfigurationDesk, ModelDesk, RCP and HIL Software, Real-Time Interface (RTI), Real-Time Testing, TargetLink
Type Reference Information
Information Category Versions and Compatibility
dSPACE Release 2017-A, 2016-B, 2016-A, 2015-B, 2015-A, 2014-B, 2014-A